using Kryz.CharacterStats.Examples;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TriggerLevelUpEffect : MonoBehaviour
{
    [SerializeField] private TriggerParticleSystemOnce trigger;
    PlayerCharacterStats playerStats;

    private void Awake()
    {
        playerStats = GetComponentInParent<PlayerCharacterStats>();

        playerStats.level.OnLevelUpEvent.AddListener(trigger.PlayOnce);
    }
}
